<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:15 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>ClockImpl (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ClockImpl (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ClockImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockConstraintImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockTypeImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html" target="_top">Frames</a></li>
<li><a href="ClockImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl</div>
<h2 title="Class ClockImpl" class="title">Class ClockImpl</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.common.notify.impl.BasicNotifierImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.BasicEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.EObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl.ClockImpl</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">Clock</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">ClockImpl</span>
extends org.eclipse.emf.ecore.impl.EObjectImpl
implements <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">Clock</a></pre>
<div class="block"><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Clock</b></em>'.
 <!-- end-user-doc -->
 <p>
 The following features are implemented:
 </p>
 <ul>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#getStandard--"><code><em>Standard</em></code></a></li>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#getBase_InstanceSpecification--"><code><em>Base Instance Specification</em></code></a></li>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#getType--"><code><em>Type</em></code></a></li>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#getUnit--"><code><em>Unit</em></code></a></li>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#getBase_Property--"><code><em>Base Property</em></code></a></li>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#getBase_Event--"><code><em>Base Event</em></code></a></li>
 </ul></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== PROPERTY SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="property.summary">
<!--   -->
</a>
<h3>Property Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Property Summary table, listing properties, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Type</th>
<th class="colLast" scope="col">Property and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Property</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#basicGetBase_Property">basicGetBase_</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList&lt;E extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> &amp; org.eclipse.emf.common.notify.Adapter&gt;, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>org.eclipse.emf.ecore.InternalEObject.EStore</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.eclipse.uml2.uml.Event</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#base_Event">base_Event</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#getBase_Event--"><code><em>Base Event</em></code></a>' reference.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected org.eclipse.uml2.uml.InstanceSpecification</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#base_InstanceSpecification">base_InstanceSpecification</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#getBase_InstanceSpecification--"><code><em>Base Instance Specification</em></code></a>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.eclipse.uml2.uml.Property</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#base_Property">base_Property</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#getBase_Property--"><code><em>Base Property</em></code></a>' reference.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../../../org/eclipse/papyrus/MARTE_Library/TimeTypesLibrary/TimeStandardKind.html" title="enum in org.eclipse.papyrus.MARTE_Library.TimeTypesLibrary">TimeStandardKind</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#standard">standard</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#getStandard--"><code><em>Standard</em></code></a>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static <a href="../../../../../../../org/eclipse/papyrus/MARTE_Library/TimeTypesLibrary/TimeStandardKind.html" title="enum in org.eclipse.papyrus.MARTE_Library.TimeTypesLibrary">TimeStandardKind</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#STANDARD_EDEFAULT">STANDARD_EDEFAULT</a></span></code>
<div class="block">The default value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#getStandard--"><code><em>Standard</em></code></a>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/ClockType.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">ClockType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#type">type</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#getType--"><code><em>Type</em></code></a>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/Unit.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">Unit</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#unit">unit</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#getUnit--"><code><em>Unit</em></code></a>' reference.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.EObjectImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.EObjectImpl</h3>
<code>eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>EOPPOSITE_FEATURE_BASE</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#ClockImpl--">ClockImpl</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Event</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#basicGetBase_Event--">basicGetBase_Event</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.InstanceSpecification</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#basicGetBase_InstanceSpecification--">basicGetBase_InstanceSpecification</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Property</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#basicGetBase_Property--">basicGetBase_Property</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/ClockType.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">ClockType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#basicGetType--">basicGetType</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/Unit.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">Unit</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#basicGetUnit--">basicGetUnit</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#eGet-int-boolean-boolean-">eGet</a></span>(int&nbsp;featureID,
    boolean&nbsp;resolve,
    boolean&nbsp;coreType)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#eIsSet-int-">eIsSet</a></span>(int&nbsp;featureID)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#eSet-int-java.lang.Object-">eSet</a></span>(int&nbsp;featureID,
    <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;newValue)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>protected org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#eStaticClass--">eStaticClass</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#eUnset-int-">eUnset</a></span>(int&nbsp;featureID)</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Event</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#getBase_Event--">getBase_Event</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.InstanceSpecification</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#getBase_InstanceSpecification--">getBase_InstanceSpecification</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Property</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#getBase_Property--">getBase_Property</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE_Library/TimeTypesLibrary/TimeStandardKind.html" title="enum in org.eclipse.papyrus.MARTE_Library.TimeTypesLibrary">TimeStandardKind</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#getStandard--">getStandard</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/ClockType.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">ClockType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#getType--">getType</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/Unit.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">Unit</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#getUnit--">getUnit</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#setBase_Event-org.eclipse.uml2.uml.Event-">setBase_Event</a></span>(org.eclipse.uml2.uml.Event&nbsp;newBase_Event)</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#setBase_InstanceSpecification-org.eclipse.uml2.uml.InstanceSpecification-">setBase_InstanceSpecification</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;newBase_InstanceSpecification)</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#setBase_Property-org.eclipse.uml2.uml.Property-">setBase_Property</a></span>(org.eclipse.uml2.uml.Property&nbsp;newBase_Property)</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#setStandard-org.eclipse.papyrus.MARTE_Library.TimeTypesLibrary.TimeStandardKind-">setStandard</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE_Library/TimeTypesLibrary/TimeStandardKind.html" title="enum in org.eclipse.papyrus.MARTE_Library.TimeTypesLibrary">TimeStandardKind</a>&nbsp;newStandard)</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#setType-org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.ClockType-">setType</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/ClockType.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">ClockType</a>&nbsp;newType)</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#setUnit-org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs.Unit-">setUnit</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/Unit.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">Unit</a>&nbsp;newUnit)</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.EObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.EObjectImpl</h3>
<code>eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>eNotificationRequired</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ PROPERTY DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="property.detail">
<!--   -->
</a>
<h3>Property Detail</h3>
<a name="basicGetBase_Property">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>basicGetBase_</h4>
<pre>public&nbsp;org.eclipse.uml2.uml.Property basicGetBase_Property</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="STANDARD_EDEFAULT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STANDARD_EDEFAULT</h4>
<pre>protected static final&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE_Library/TimeTypesLibrary/TimeStandardKind.html" title="enum in org.eclipse.papyrus.MARTE_Library.TimeTypesLibrary">TimeStandardKind</a> STANDARD_EDEFAULT</pre>
<div class="block">The default value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#getStandard--"><code><em>Standard</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#getStandard--"><code>getStandard()</code></a></dd>
</dl>
</li>
</ul>
<a name="standard">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>standard</h4>
<pre>protected&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE_Library/TimeTypesLibrary/TimeStandardKind.html" title="enum in org.eclipse.papyrus.MARTE_Library.TimeTypesLibrary">TimeStandardKind</a> standard</pre>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#getStandard--"><code><em>Standard</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#getStandard--"><code>getStandard()</code></a></dd>
</dl>
</li>
</ul>
<a name="base_InstanceSpecification">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>base_InstanceSpecification</h4>
<pre>protected&nbsp;org.eclipse.uml2.uml.InstanceSpecification base_InstanceSpecification</pre>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#getBase_InstanceSpecification--"><code><em>Base Instance Specification</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#getBase_InstanceSpecification--"><code>getBase_InstanceSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="type">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>type</h4>
<pre>protected&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/ClockType.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">ClockType</a> type</pre>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#getType--"><code><em>Type</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#getType--"><code>getType()</code></a></dd>
</dl>
</li>
</ul>
<a name="unit">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>unit</h4>
<pre>protected&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/Unit.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">Unit</a> unit</pre>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#getUnit--"><code><em>Unit</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#getUnit--"><code>getUnit()</code></a></dd>
</dl>
</li>
</ul>
<a name="base_Property">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>base_Property</h4>
<pre>protected&nbsp;org.eclipse.uml2.uml.Property base_Property</pre>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#getBase_Property--"><code><em>Base Property</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#getBase_Property--"><code>getBase_Property()</code></a></dd>
</dl>
</li>
</ul>
<a name="base_Event">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>base_Event</h4>
<pre>protected&nbsp;org.eclipse.uml2.uml.Event base_Event</pre>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#getBase_Event--"><code><em>Base Event</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html#getBase_Event--"><code>getBase_Event()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ClockImpl--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ClockImpl</h4>
<pre>protected&nbsp;ClockImpl()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="eStaticClass--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eStaticClass</h4>
<pre>protected&nbsp;org.eclipse.emf.ecore.EClass&nbsp;eStaticClass()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eStaticClass</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.EObjectImpl</code></dd>
</dl>
</li>
</ul>
<a name="getStandard--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStandard</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE_Library/TimeTypesLibrary/TimeStandardKind.html" title="enum in org.eclipse.papyrus.MARTE_Library.TimeTypesLibrary">TimeStandardKind</a>&nbsp;getStandard()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html#getStandard--">getStandard</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">Clock</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Standard</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE_Library/TimeTypesLibrary/TimeStandardKind.html" title="enum in org.eclipse.papyrus.MARTE_Library.TimeTypesLibrary"><code>TimeStandardKind</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html#setStandard-org.eclipse.papyrus.MARTE_Library.TimeTypesLibrary.TimeStandardKind-"><code>Clock.setStandard(TimeStandardKind)</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimePackage.html#getClock_Standard--"><code>TimePackage.getClock_Standard()</code></a></dd>
</dl>
</li>
</ul>
<a name="setStandard-org.eclipse.papyrus.MARTE_Library.TimeTypesLibrary.TimeStandardKind-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setStandard</h4>
<pre>public&nbsp;void&nbsp;setStandard(<a href="../../../../../../../org/eclipse/papyrus/MARTE_Library/TimeTypesLibrary/TimeStandardKind.html" title="enum in org.eclipse.papyrus.MARTE_Library.TimeTypesLibrary">TimeStandardKind</a>&nbsp;newStandard)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html#setStandard-org.eclipse.papyrus.MARTE_Library.TimeTypesLibrary.TimeStandardKind-">setStandard</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">Clock</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newStandard</code> - the new value of the '<em>Standard</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE_Library/TimeTypesLibrary/TimeStandardKind.html" title="enum in org.eclipse.papyrus.MARTE_Library.TimeTypesLibrary"><code>TimeStandardKind</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html#getStandard--"><code>Clock.getStandard()</code></a></dd>
</dl>
</li>
</ul>
<a name="getBase_InstanceSpecification--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBase_InstanceSpecification</h4>
<pre>public&nbsp;org.eclipse.uml2.uml.InstanceSpecification&nbsp;getBase_InstanceSpecification()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html#getBase_InstanceSpecification--">getBase_InstanceSpecification</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">Clock</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Base Instance Specification</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html#setBase_InstanceSpecification-org.eclipse.uml2.uml.InstanceSpecification-"><code>Clock.setBase_InstanceSpecification(InstanceSpecification)</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimePackage.html#getClock_Base_InstanceSpecification--"><code>TimePackage.getClock_Base_InstanceSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="basicGetBase_InstanceSpecification--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>basicGetBase_InstanceSpecification</h4>
<pre>public&nbsp;org.eclipse.uml2.uml.InstanceSpecification&nbsp;basicGetBase_InstanceSpecification()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="setBase_InstanceSpecification-org.eclipse.uml2.uml.InstanceSpecification-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBase_InstanceSpecification</h4>
<pre>public&nbsp;void&nbsp;setBase_InstanceSpecification(org.eclipse.uml2.uml.InstanceSpecification&nbsp;newBase_InstanceSpecification)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html#setBase_InstanceSpecification-org.eclipse.uml2.uml.InstanceSpecification-">setBase_InstanceSpecification</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">Clock</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newBase_InstanceSpecification</code> - the new value of the '<em>Base Instance Specification</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html#getBase_InstanceSpecification--"><code>Clock.getBase_InstanceSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="getType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getType</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/ClockType.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">ClockType</a>&nbsp;getType()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html#getType--">getType</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">Clock</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Type</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html#setType-org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.ClockType-"><code>Clock.setType(ClockType)</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimePackage.html#getClock_Type--"><code>TimePackage.getClock_Type()</code></a></dd>
</dl>
</li>
</ul>
<a name="basicGetType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>basicGetType</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/ClockType.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">ClockType</a>&nbsp;basicGetType()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="setType-org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.ClockType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setType</h4>
<pre>public&nbsp;void&nbsp;setType(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/ClockType.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">ClockType</a>&nbsp;newType)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html#setType-org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.ClockType-">setType</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">Clock</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newType</code> - the new value of the '<em>Type</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html#getType--"><code>Clock.getType()</code></a></dd>
</dl>
</li>
</ul>
<a name="getUnit--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUnit</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/Unit.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">Unit</a>&nbsp;getUnit()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html#getUnit--">getUnit</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">Clock</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Unit</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html#setUnit-org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs.Unit-"><code>Clock.setUnit(Unit)</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimePackage.html#getClock_Unit--"><code>TimePackage.getClock_Unit()</code></a></dd>
</dl>
</li>
</ul>
<a name="basicGetUnit--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>basicGetUnit</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/Unit.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">Unit</a>&nbsp;basicGetUnit()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="setUnit-org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs.Unit-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUnit</h4>
<pre>public&nbsp;void&nbsp;setUnit(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/Unit.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">Unit</a>&nbsp;newUnit)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html#setUnit-org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs.Unit-">setUnit</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">Clock</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newUnit</code> - the new value of the '<em>Unit</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html#getUnit--"><code>Clock.getUnit()</code></a></dd>
</dl>
</li>
</ul>
<a name="getBase_Property--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBase_Property</h4>
<pre>public&nbsp;org.eclipse.uml2.uml.Property&nbsp;getBase_Property()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html#getBase_Property--">getBase_Property</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">Clock</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Base Property</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html#setBase_Property-org.eclipse.uml2.uml.Property-"><code>Clock.setBase_Property(Property)</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimePackage.html#getClock_Base_Property--"><code>TimePackage.getClock_Base_Property()</code></a></dd>
</dl>
</li>
</ul>
<a name="basicGetBase_Property--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>basicGetBase_Property</h4>
<pre>public&nbsp;org.eclipse.uml2.uml.Property&nbsp;basicGetBase_Property()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="setBase_Property-org.eclipse.uml2.uml.Property-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBase_Property</h4>
<pre>public&nbsp;void&nbsp;setBase_Property(org.eclipse.uml2.uml.Property&nbsp;newBase_Property)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html#setBase_Property-org.eclipse.uml2.uml.Property-">setBase_Property</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">Clock</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newBase_Property</code> - the new value of the '<em>Base Property</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html#getBase_Property--"><code>Clock.getBase_Property()</code></a></dd>
</dl>
</li>
</ul>
<a name="getBase_Event--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBase_Event</h4>
<pre>public&nbsp;org.eclipse.uml2.uml.Event&nbsp;getBase_Event()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html#getBase_Event--">getBase_Event</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">Clock</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Base Event</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html#setBase_Event-org.eclipse.uml2.uml.Event-"><code>Clock.setBase_Event(Event)</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimePackage.html#getClock_Base_Event--"><code>TimePackage.getClock_Base_Event()</code></a></dd>
</dl>
</li>
</ul>
<a name="basicGetBase_Event--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>basicGetBase_Event</h4>
<pre>public&nbsp;org.eclipse.uml2.uml.Event&nbsp;basicGetBase_Event()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="setBase_Event-org.eclipse.uml2.uml.Event-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBase_Event</h4>
<pre>public&nbsp;void&nbsp;setBase_Event(org.eclipse.uml2.uml.Event&nbsp;newBase_Event)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html#setBase_Event-org.eclipse.uml2.uml.Event-">setBase_Event</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">Clock</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newBase_Event</code> - the new value of the '<em>Base Event</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html#getBase_Event--"><code>Clock.getBase_Event()</code></a></dd>
</dl>
</li>
</ul>
<a name="eGet-int-boolean-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eGet</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;eGet(int&nbsp;featureID,
                   boolean&nbsp;resolve,
                   boolean&nbsp;coreType)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eGet</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eGet</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
</dl>
</li>
</ul>
<a name="eSet-int-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eSet</h4>
<pre>public&nbsp;void&nbsp;eSet(int&nbsp;featureID,
                 <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;newValue)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eSet</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eSet</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
</dl>
</li>
</ul>
<a name="eUnset-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eUnset</h4>
<pre>public&nbsp;void&nbsp;eUnset(int&nbsp;featureID)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eUnset</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eUnset</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
</dl>
</li>
</ul>
<a name="eIsSet-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eIsSet</h4>
<pre>public&nbsp;boolean&nbsp;eIsSet(int&nbsp;featureID)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eIsSet</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eIsSet</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;toString()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ClockImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockConstraintImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockTypeImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/impl/ClockImpl.html" target="_top">Frames</a></li>
<li><a href="ClockImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
